=== debian/changelog ===
ubustub (1-1) questing; urgency=medium

  * Initial release. (LP: #2119319)

 -- Tobias Heider <tobias.heider@canonical.com>  Fri, 01 Aug 2025 17:22:51 +0200
